package cn.com.countrygarden.bi.main.service.test;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.test.Test;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

/**
 * package: cn.com.countrygarden.bi.main.service
 * describe:
 * creat_user: lsl
 * creat_date: 2018/6/12
 * creat_time: 9:02
 **/
public interface TestService {

    Result queryPageList(Test test, int page, int size, String userCode);

    Result queryById(Integer id);

    Result add(Test test, AccessToken accessToken);

    Result edit(Test test, AccessToken accessToken);

    Result del(Integer id);
    Result conditionTest(Integer id);
    

	Result TestFileUpload(MultipartFile multipartFile, HttpServletRequest request);
}
